Name:           fslint
Version:        2.42
Release:        3%{?dist}
Summary:        File System "lint" discovery and cleaning utility

Group:          Applications/File
License:        GPLv2+
URL:            http://www.pixelbeat.org/fslint/
Source0:        http://www.pixelbeat.org/fslint/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext >= 0.13, desktop-file-utils
Requires:       python >= 2.3, pygtk2 >= 2.4, pygtk2-libglade, cpio, findutils

%description
FSlint is a utility to find redundant disk usage like duplicate files
for example. It can be used to reclaim disk space and fix other problems
like file naming issues and bad symlinks etc.
It includes a GTK+ GUI as well as a command line interface.


%prep
%setup -q -n %{name}-%{version}
%{__perl} -pi -e 's|^liblocation=.*$|liblocation="%{_datadir}/%{name}" #RPM edit|' fslint-gui
%{__perl} -pi -e 's|^locale_base=.*$|locale_base=None #RPM edit|' fslint-gui


%build
# Not.


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 fslint-gui $RPM_BUILD_ROOT%{_bindir}/fslint-gui
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}/{fstool,supprt}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}/supprt/rmlint
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 644 fslint.glade fslint_icon.png \
  $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../%{name}/fslint_icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -pm 755 fslint/{find*,fslint,zipdir} \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint
install -pm 755 fslint/fstool/* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/fstool
install -pm 644 fslint/supprt/fslver \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/get* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/md5sum_approx \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/rmlint/* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt/rmlint

cp -a man/* \
  $RPM_BUILD_ROOT%{_mandir}/man1/

make -C po DESTDIR=$RPM_BUILD_ROOT LOCALEDIR=%{_datadir}/locale install

desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  %{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/*
%{_mandir}/man1/fslint*
%{_bindir}/fslint-gui
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/fslint_icon.png


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.42-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Apr 29 2010 Pádraig Brady <P at draigBrady.com> - 2.42-1
- Update to 2.42

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Pádraig Brady <P at draigBrady.com> - 2.40-1
- Update to 2.40. Note this updates GTK+ and Python dependencies
  to 2.4 and 2.3 respectively (Fedora Core 2).

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Pádraig Brady <P at draigBrady.com> - 2.28-3
- Remove redundant py[co] files (dependency on python(abi))

* Mon Nov 24 2008 Pádraig Brady <P at draigBrady.com> - 2.28-2
- Update summary as per Richard Hughes' request

* Tue Sep 09 2008 Pádraig Brady <P at draigBrady.com> - 2.28-1
- Update to 2.28

* Tue May 20 2008 Pádraig Brady <P at draigBrady.com> - 2.26-1
- Update to 2.26

* Wed Sep 19 2007 Pádraig Brady <P at draigBrady.com> - 2.24-1
- Update to 2.24

* Fri Aug 03 2007 Pádraig Brady <P at draigBrady.com> - 2.22-2
- clarify license

* Fri Jun 28 2007 Pádraig Brady <P at draigBrady.com> - 2.22-1
- Update to 2.22

* Fri Mar 09 2007 Pádraig Brady <P at draigBrady.com> - 2.20-1
- Update to 2.20
- Update description to make it easier to find
- Change symlink to fslint_icon.png from absolute to relative

* Fri Dec 29 2006 Pádraig Brady <P at draigBrady.com> - 2.18-1
- Update to 2.18

* Mon Oct 30 2006 Pádraig Brady <P at draigBrady.com> - 2.16-2
- Zero Epochs are superfluous nowadays and frowned upon in Fedora

* Mon Oct 30 2006 Pádraig Brady <P at draigBrady.com> - 0:2.16-1
- Update to 2.16 which has some minor packaging changes
  to align with the debian package (suggested by lintian) and also
- has man pages for fslint and fslint-gui.
  Other Packaging changes introduced in 2.14 were
- /usr/bin/{fs,FS}lint -> /usr/bin/fslint-gui
- Tidy up /usr/bin/fslint/fslint directory
- In addition to the above upstream changes I added
  the dist tag to the release version

* Tue Sep 19 2006 Pádraig Brady <P at draigBrady.com> - 2.11-3
- Rebuild for FC6 mass rebuild

* Fri Mar 18 2005 Pádraig Brady <P at draigBrady.com> - 2.11-2
- Update to 2.11

* Wed Mar 16 2005 Pádraig Brady <P at draigBrady.com> - 0:2.10-0.fdr.2
- Update to 2.10

* Tue Sep  9 2004 Pádraig Brady <P at draigBrady.com> - 0:2.08-0.fdr.2
- Fix locale support broken in previous version

* Wed Sep  1 2004 Pádraig Brady <P at draigBrady.com> - 0:2.08-0.fdr.1
- Update to 2.08.
- Remove redundant patch.

* Wed May  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.06-0.fdr.1
- Update to 2.06.
- Add %%{_bindir}/fslint symlink.
- Make installation Python version independent.

* Thu Aug 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.02-0.fdr.2
- Requires: cpio, remove redundant findutils dependency (bug 539).
- Fix version in dependency on python.

* Thu Jul 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.02-0.fdr.1
- First build, based on upstream specfile.
